%define name    kvpnc
%define version 0.9.6
%define rel     6
%define release %mkrel %rel
%define Summary KDE frontend to various vpn clients

Summary:        %{Summary}
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPLv2+
Group:          Networking/Remote access
Source:         http://download.gna.org/kvpnc/kvpnc-%{version}-kde4.tar.bz2
Source1:        http://download.gna.org/kvpnc/kvpnc-%{version}-kde4-locale.tar.bz2
URL:            http://home.gna.org/kvpnc/en/index.html
#Remove the following patch when a new version above 0.9.6a is released.
Patch0:         ping_check_fix_from_0.9.6a.diff
Patch1:		kvpnc-0.9.6-mga-add_unistd.h.patch
BuildRequires:  kdelibs4-devel
BuildRequires:  libgcrypt-devel
Requires:       usermode-consoleonly
Requires:       kvpnc-backend

%description
KVpnc is a KDE frontend for for various vpn clients.
It supports Cisco VPN (vpnc) and IPSec (FreeS/WAN, racoon).
Vpnc is a replacement for the cisco VPN client and its used 
as client for the cisco3000 VPN Concentrator, FreeS/WAN (OpenS/WAN) 
is a IPSec client for Linux 2.4.x and racoon is a IPSec client 
for Linux 2.6.x and *BSD.

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_kde_bindir}/%{name}
%{_kde_datadir}/applications/kde4/kvpnc.desktop
%{_kde_datadir}/apps/kvpnc
%{_kde_datadir}/icons/*/*/apps/*.png
%{_kde_datadir}/icons/*/*/actions/*.png
%config(noreplace) %{_sysconfdir}/pam.d/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n kvpnc-%{version}-kde4 -a1
%patch0 -p1
%patch1 -p1

%build
%cmake_kde4
%make
cd ..

pushd kvpnc-%{version}-kde4-locale
%cmake_kde4
%make
popd

%install
rm -rf %{buildroot}
%makeinstall_std -C build

pushd kvpnc-%{version}-kde4-locale
%makeinstall_std -C build
popd

%find_lang %{name} --with-html

### pam entry
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/%{name} <<EOF
auth       sufficient   pam_rootok.so
auth       include      system-auth
session    optional     pam_xauth.so
account    required     pam_permit.so
EOF

%clean
rm -rf %buildroot




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.9.6-6.mga3
+ Revision: 356580
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 juancho <juancho> 0.9.6-5.mga3
+ Revision: 326040
- Add patch to include unistd.h in kvpnc.cpp

* Mon Apr 18 2011 stormi <stormi> 0.9.6-4.mga1
+ Revision: 87877
- fix RPM group

* Mon Apr 18 2011 juancho <juancho> 0.9.6-3.mga1
+ Revision: 87580
- imported package kvpnc

